# #appendto

#appendto
With #appendto, you can modify an existing object defintion script without changing the original file. For example, a scenario could change flints to cause bigger explosions, without having to duplicate the entire flint in the scenario.
Declaration
#appendto [id]
A script can append itself to one or multiple existing scripts using the `#appendto` directive. Functions of the same name will overload functions in the target script. The original overloaded functions can still be called using inherited. #included scripts are not appended with #append, but #appended scripts are included by #include.
#appendto *
Appending to `*` will append this script to all definitions.
A script can contain multiple #appendto directives. It is always compiled with the original script. This is of interest whenever local variables or functions from the appended script are used.
Sven2
2002-04
matthes
2004-06
Günther
2006-01